apiVersion: v1
kind: Service
metadata:
  name: {{ include "frontend-ecoleta.fullname" . }}
  labels:
{{ include "frontend-ecoleta.labels" . | indent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
      nodePort: {{ .Values.service.nodePort }}
  selector:
    app.kubernetes.io/name: {{ include "frontend-ecoleta.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
